component: SystemMonitor
proto_imports:
  - vehicle/computer_hardware/diagnostics/system_monitor_diagnostics.proto
  - vehicle/computer_hardware/system_metrics2.proto
metric: SystemMetrics
namespace: zoox::computer_hardware
faults:
  - id: 1
    name: NetworkError
    severity: WARNING
    description: Errors or Drops seen on a network since last posting
    freeze_frame: NetworkErrorFreezeFrame
  - id: 2
    name: CgroupInterfaceError
    severity: WARNING
    description: Failed to fetch cgroup metrics
    freeze_frame: CgroupMetricsFreezeFrame
  - id: 3
    name: CgroupSettingsError
    severity: WARNING
    description: Cgroup settings do not match expected
    freeze_frame: CgroupSettingsFreezeFrame
  - id: 4
    name: CgroupMemoryUsageWarning
    severity: WARNING
    description: Cgroup memory usage higher than expected
    freeze_frame: CgroupMemoryUsageFreezeFrame
  - id: 5
    name: CgroupMemoryUsageError
    severity: WARNING
    description: Cgroup memory usage too high. Processes may be killed and will need to be restarted
    freeze_frame: CgroupMemoryUsageFreezeFrame
  - id: 6
    name: NicDown
    severity: WARNING
    description: At least one network interface has either not correctly initialized or has been configured off, ie ifdown
    triggers_nogo: false
    freeze_frame: NicDownFreezeFrame
  - id: 7
    name: KernelVersionError
    severity: WARNING
    description: Incorrect Kernel version
    freeze_frame: KernelValueIssueFreezeFrame
  - id: 8
    name: KernelCoreDumpLimitError
    severity: WARNING
    description: Incorrect Kernel Code Dump Limit
    freeze_frame: KernelValueIssueFreezeFrame
  - id: 9
    name: KernelCoreDumpPatternError
    severity: WARNING
    description: Incorrect Core Dump Pattern
    freeze_frame: KernelValueIssueFreezeFrame
  - id: 10
    name: KernelHugepagesError
    severity: WARNING
    description: Incorrect Kernel Huge Pages value
    freeze_frame: KernelValueIssueFreezeFrame
  - id: 11
    name: KernelVmError
    severity: WARNING
    description: Incorrect VM value
    freeze_frame: KernelVMIssueFreezeFrame
  - id: 12
    name: SystemMetricRefreshError
    severity: WARNING
    description: Error refreshing system metric values
    freeze_frame: SystemMetricsIssueFreezeFrame
  - id: 13
    name: SystemMetricPopulateError
    severity: WARNING
    description: Error populating system metric values
    freeze_frame: SystemMetricsIssueFreezeFrame
  - id: 14
    name: SwapMemoryError
    severity: WARNING
    description: Operating system is experiencing page faults due to critically low memory
    freeze_frame: SwapMemoryFreezeFrame
